package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class PromotionEventInfo extends JceStruct {
    public ArrayList bigBannerConfigs;
    public ArrayList bigH5Configs;
    static ArrayList cache_bigBannerConfigs;
    static ArrayList cache_bigH5Configs;
    static ArrayList cache_footBannerConfigs;
    static ArrayList cache_headBannerConfigs;
    static ArrayList cache_lottieConfigs;
    static ArrayList cache_refreshConfigs;
    public ArrayList footBannerConfigs;
    public ArrayList headBannerConfigs;
    public ArrayList lottieConfigs;
    public ArrayList refreshConfigs;

    static {
        PromotionEventInfo.cache_bigBannerConfigs = new ArrayList();
        PromotionEventInfo.cache_bigBannerConfigs.add(new BannerEventConfig());
        PromotionEventInfo.cache_headBannerConfigs = new ArrayList();
        PromotionEventInfo.cache_headBannerConfigs.add(new BannerEventConfig());
        PromotionEventInfo.cache_footBannerConfigs = new ArrayList();
        PromotionEventInfo.cache_footBannerConfigs.add(new BannerEventConfig());
        PromotionEventInfo.cache_bigH5Configs = new ArrayList();
        PromotionEventInfo.cache_bigH5Configs.add(new BigH5EventConfig());
        PromotionEventInfo.cache_lottieConfigs = new ArrayList();
        PromotionEventInfo.cache_lottieConfigs.add(new LottieEventConfig());
        PromotionEventInfo.cache_refreshConfigs = new ArrayList();
        PromotionEventInfo.cache_refreshConfigs.add(new PullRefreshConfig());
    }

    public PromotionEventInfo() {
        super();
        this.bigBannerConfigs = null;
        this.headBannerConfigs = null;
        this.footBannerConfigs = null;
        this.bigH5Configs = null;
        this.lottieConfigs = null;
        this.refreshConfigs = null;
    }

    public PromotionEventInfo(ArrayList arg2, ArrayList arg3, ArrayList arg4, ArrayList arg5, ArrayList arg6, ArrayList arg7) {
        super();
        this.bigBannerConfigs = null;
        this.headBannerConfigs = null;
        this.footBannerConfigs = null;
        this.bigH5Configs = null;
        this.lottieConfigs = null;
        this.refreshConfigs = null;
        this.bigBannerConfigs = arg2;
        this.headBannerConfigs = arg3;
        this.footBannerConfigs = arg4;
        this.bigH5Configs = arg5;
        this.lottieConfigs = arg6;
        this.refreshConfigs = arg7;
    }

    public final void readFrom(c arg4) {
        this.bigBannerConfigs = (ArrayList) arg4.a(PromotionEventInfo.cache_bigBannerConfigs, 0, false);
        this.headBannerConfigs = (ArrayList) arg4.a(PromotionEventInfo.cache_headBannerConfigs, 1, false);
        this.footBannerConfigs = (ArrayList) arg4.a(PromotionEventInfo.cache_footBannerConfigs, 2, false);
        this.bigH5Configs = (ArrayList) arg4.a(PromotionEventInfo.cache_bigH5Configs, 3, false);
        this.lottieConfigs = (ArrayList) arg4.a(PromotionEventInfo.cache_lottieConfigs, 4, false);
        this.refreshConfigs = (ArrayList) arg4.a(PromotionEventInfo.cache_refreshConfigs, 5, false);
    }

    public final void writeTo(d arg3) {
        if(this.bigBannerConfigs != null) {
            arg3.a(this.bigBannerConfigs, 0);
        }

        if(this.headBannerConfigs != null) {
            arg3.a(this.headBannerConfigs, 1);
        }

        if(this.footBannerConfigs != null) {
            arg3.a(this.footBannerConfigs, 2);
        }

        if(this.bigH5Configs != null) {
            arg3.a(this.bigH5Configs, 3);
        }

        if(this.lottieConfigs != null) {
            arg3.a(this.lottieConfigs, 4);
        }

        if(this.refreshConfigs != null) {
            arg3.a(this.refreshConfigs, 5);
        }
    }

}

